Skip to content

Change

POST
/api/agents/{agent_id}/changes
curl --request POST \
--url https://agentauthority.org/api/agents/example/changes \
--header 'Content-Type: application/json' \
--header 'idempotency-key: example' \
--data '{ "version": 1, "kind": "transfer", "new_owner_id": "example", "public_key": "example", "agreement_id": "example", "custodian_id": "example" }'
agent_id
required
Agent Id
string
idempotency-key
required
Idempotency-Key
string
>= 8 characters <= 128 characters
Media typeapplication/json
Change
object
version
required
Version
integer
kind
required
Kind
string
Allowed values: transfer replace restore custodian
new_owner_id
required
New Owner Id
string
public_key
required
Public Key
string
<= 100 characters
agreement_id
required
Agreement Id
string
custodian_id
Any of:
string

Successful Response

Media typeapplication/json

Example generated

example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}